QGIS Application - Bug report #2316
Compilation error parsing SIP files
2009-12-23 04:09 AM - Horst Dister

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupts data: Copied to github as #: 12376
Description

The attempt to compile the latest QGIS trunk r12590 leeds to the compilation error below.
My System:

- Kubuntu 9.10

- Qt-4.5.2

- SIP-4.9.1

- [[PyQT]]-4.6.1

Parsing SIP files for 'core’ library...

/usr/bin/sip -c core -b /usr/local/src/qgis/qgis/python/core/core.sbf -l /usr/share/sip/PyQt4 -x [[VendorID]] -t WS_X11 -x
[[PyQt]]_NoPrintRangeBug -t Qt_4_4 1 -g /usr/local/src/qgis/qgis/python/core/core.sip

sip: /usr/share/sip/PyQt4/QtCore/QtCoremod.sip:115: syntax error

Parsing SIP files for 'gui' library...

/usr/bin/sip -c gui -b /usr/local/src/qgis/qgis/python/gui/gui.sbf -1 /usr/local/src/qgis/qgis/python -l /usr/share/sip/PyQt4 -x
[[VendorID]] -t WS_X11 -x [[PyQt]]_NoPrintRangeBug -t Qt_4_4_1 -g /usr/local/src/qgis/qgis/python/gui/gui.sip

sip: /usr/share/sip/PyQt4/QtCore/QtCoremod.sip:115: syntax error

Parsing SIP files for 'analysis' library...

/usr/bin/sip -c analysis -b /usr/local/src/qgis/qgis/python/analysis/analysis.sbf -1 /usr/local/src/qgis/qgis/python -I
/usr/share/sip/PyQt4 -x [[VendorID]] -t WS_X11 -x [[PyQt]]_NoPrintRangeBug -t Qt_4_4 1 -g
/usr/local/src/qgis/qgis/python/analysis/analysis.sip

sip: /usr/share/sip/PyQt4/QtCore/QtCoremod.sip:115: syntax error

Creating makefiles...

Error: Unable to open "/usr/local/src/qgis/qgis/python/core/core.sbf": [Errno

2] No such file or directory: '/usr/local/src/qgis/qgis/python/core/core.sbf'

History

#1 - 2009-12-23 04:14 AM - Jiirgen Fischer

#2 - 2009-12-23 04:59 AM - Horst Diister
- Resolution set to invalid
- Status changed from Open to Closed

Replying to [comment:1 jef]:

Mmmmm.... | completely removed the QGIS source and than reinstalled it again and now it works. Very cryptic.

2025-04-27 12



2025-04-27 22



